<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/reset.css">
    <title>Students</title>
</head>
<body>
    <header class="mainHeader">
        <h1 class="title">CMS</h1>
        <div class="bellwrap">
            <div class="bell">
                <img src="img\notification-bell-svgrepo-com.svg" alt="bell" onclick="bellAnimationFunction()" id="bellId">
                <div class="belldot"></div>
            </div>
            <div id="bellpopup" class="bellpopupcl"></div>
        </div>
        <div class="personwrap">
            <div id="personpopup" class="personpopupcl">
                <p class="textmenu">Profile</p>
                <p class="textmenu">Log out</p>
            </div>
            <div class="personInfo">
                <div class="personLogo"><img src="img\person-svgrepo-com.svg" alt="person"></div>
                <div class="personName"><p>Name</p></div>
            </div>
        </div>
    </header>
    <section class="mainSection">
        <nav class="navigation">
            <ul>
                <li><a href="#">Dashboard</a></li>
                <li><a href="#">Students</a></li>
                <li><a href="#">Tasks</a></li>
            </ul>
        </nav>
        <article class="content">
            <h2 class="title2">Students</h2>
            <form id="confirmModal" class="modal">
                <label>Are you sure you want to delete your account?</label>
                <div class="buttonBox">
                    <button type="button" class="deletebtn" onclick="">Delete</button>
                    <button type="button" class="cancelbtn">Cancel</button>
                </div>
            </form>
            <form id="addModal" class="modal" autocomplete="off">
                <label>Adding student</label>
                <div class="input-content">
                    <p>Name</p>
                    <input required type="text" name="name" id="nameinput" form="addModal" list="name-list">
                    <datalist id="name-list"></datalist>
                    <p>Group</p>
                    <select name="group" required id="groupinput" form="addModal" autocomplete="off">
                        <optgroup label="KN">
                          <option value="kn21">KN-21</option>
                          <option value="kn22">KN-22</option>
                        </optgroup>
                        <optgroup label="PZ">
                          <option value="pz24">PZ-24</option>
                          <option value="pz25">PZ-25</option>
                        </optgroup>
                      </select>
                    <p>Gender</p>
                    <select name="gender" required id="genderinput" form="addModal" autocomplete="off">
                        <option value="F">F</option>
                        <option value="M">M</option>
                    </select>
                    <p>Birthday</p>
                    <input type="date" required name="birthday" id="birthdayinput" form="addModal" min="2000-01-01" max="2006-01-01" autocomplete="off">
                    <div class="buttonControl">
                        <button id="accept" type="reset" form="addModal">Accept</button>
                        <button id="cancelAdd">Cancel</button>
                    </div>
                </div>
            </form>
            <form id="editModal" class="modal" autocomplete="off">
                <label>Edit student</label>
                <div class="input-content">
                    <p>Name</p>
                    <input required type="text" name="name" id="nameinput" form="addModal" list="name-list">
                    <datalist id="name-list"></datalist>
                    <p>Group</p>
                    <select name="group" required id="groupinput" form="editModal" autocomplete="off">
                        <optgroup label="KN">
                          <option value="kn21">KN-21</option>
                          <option value="kn22">KN-22</option>
                        </optgroup>
                        <optgroup label="PZ">
                          <option value="pz24">PZ-24</option>
                          <option value="pz25">PZ-25</option>
                        </optgroup>
                      </select>
                    <p>Gender</p>
                    <select name="gender" required id="genderinput" form="editModal" autocomplete="off">
                        <option value="F">F</option>
                        <option value="M">M</option>
                    </select>
                    <p>Birthday</p>
                    <input type="date" required name="birthday" id="birthdayinput" form="editModal" min="2000-01-01" max="2006-01-01" autocomplete="off">
                    <div class="buttonControl">
                        <button id="accept" type="reset" form="editModal">Accept</button>
                        <button id="cancelAdd">Cancel</button>
                    </div>
                </div>
            </form>
            <button class="add">+</button>
            <table id="mainTableId" class="mainTable">
                <tr>
                    <td><input type="checkbox" id="checkboxAll" onclick="checkAll()"></td>
                    <th class="group">Group</th>
                    <th class="name">Name</th>
                    <th class="gender">Gender</th>
                    <th class="birth">Birthday</th>
                    <th class="status">Status</th>
                    <th class="option">Option</th>
                </tr>
                <tr>
                    <td><input type="checkbox" class="checkbox"></td>
                    <td class="group">KN-21</td>
                    <td class="name">John Smith</td>
                    <td class="gender">M</td>
                    <td class="birth">11.05.2004</td>
                    <td class="status">
                        <div class="statusCircle"></div>
                    </td>
                    <td class="option">
                        <button class="edit"><img src="img\iconmonstr-pencil-14.svg" alt="edit"></button>
                        <button class="delete"><img src="img\cross-svgrepo-com.svg" alt="delete"></button>
                    </td>
                </tr>
                <tr>
                    <td><input class="checkbox" type="checkbox"></td>
                    <td class="group">KN-22</td>
                    <td class="name">Ann Bond</td>
                    <td class="gender">F</td>
                    <td class="birth">24.04.2004</td>
                    <td class="status">
                        <div class="statusCircle"></div>
                    </td>
                    <td class="option">
                        <button class="edit"><img src="img\iconmonstr-pencil-14.svg" alt="edit"></button>
                        <button class="delete"><img src="img\cross-svgrepo-com.svg" alt="delete"></button>
                    </td>
                </tr>
                <tr>
                    <td><input type="checkbox" class="checkbox"></td>
                    <td class="group">KN-21</td>
                    <td class="name">John Smith</td>
                    <td class="gender">M</td>
                    <td class="birth">11.05.2004</td>
                    <td class="status">
                        <div class="statusCircle"></div>
                    </td>
                    <td class="option">
                        <button class="edit"><img src="img\iconmonstr-pencil-14.svg" alt="edit"></button>
                        <button class="delete"><img src="img\cross-svgrepo-com.svg" alt="delete"></button>
                    </td>
                </tr>
            </table>
        </article>
    </section>
    <footer class="mainFooter">
        <div class="pager"><a href="#"><</a></div>
        <div class="pager"><a href="#">1</a></div>
        <div class="pager"><a href="#">2</a></div>
        <div class="pager"><a href="#">3</a></div>
        <div class="pager"><a href="#">4</a></div>
        <div class="pager"><a href="#">></a></div>            
    </footer>
    <script src="event/event.js">
        
    </script>
</body>
</html>